编译安装 gmameui 0.2.11 通过 

最近比较迷恋街机,比如童年时代的 三国战记呀,西游记之类的

看到 gmameui最近发布了最新版本,于是萌发了把模拟器移到linux上的想法,于是下载了源码。

编译安装,

我的configure:
$ ./configure --prefix=/usr/local/mame --disable-doc --disable-scrollkeeper

如果configure 报错的,应该是缺依赖.
确保已经安装好这些组件:
libarchive-dev
libexpat-dev
libgtk2.0-dev
libglade2-dev
libgnome2-dev


如果make出错的话,不出意外的话,应该是
db2omf: Could not construct the OMF subject element.
这个错,因为我也遇到了.

搜索了一下,发现原因是因为旧版本gnome-doc-utils的一个bug.

A bug in older versions of gnome-doc-utils when building with
scrollkeeper disabled.
http://bugzilla.gnome.org/show_bug.cgi?id=427939


既然这个bug是由于自动生成doc引起的,那么这个doc(文档)我们不要也罢.
所以解决方案是在configure 后面跟上 --disable-doc 就ok了.

果然,编译通过.

界面如图;

[ ] ( 3585 次浏览 ) 永久链接 ( 3 / 1353 )

<< <上一页 | 24 | 25 | 26 | 27 | 28 | 29 | 30 | 31 | 32 | 33 | 下一页> >>